/*
!=======================================================================
!
!  PROGRAM  PHASE-Viewer  (PHASE-Viewer 2014.01 ver.3.3.0)
!
!  Created on ----
!  AUTHOR(S): KOGA, Junichiro
!  File : IDLTokenMarker.java
!  
!  Contact address :  Phase System Consortium
!                     E-mail: phase_system@nims.go.jp URL https://azuma.nims.go.jp
!
!
!   Since 2002, this program set had been intensively developed as a part of the following 
!  national projects supported by the Ministry of Education, Culture, Sports, Science and
!  Technology (MEXT) of Japan; "Frontier Simulation Software for Industrial Science
!  (FSIS)" from 2002 to 2005, "Revolutionary Simulation Software (RSS21)" from 2006 to
!  2008. "Research and Development of Innovative Simulation Software (RISS)" from 2008
!  to 2013. These projects is lead by the Center for Research on Innovative Simulation 
!  Software (CISS), the Institute of Industrial Science (IIS), the University of Tokyo.
!   Since 2013, this program set has been further developed centering on PHASE System
!  Consortium. 
!   The activity of development of this program set has been supervised by Takahisa Ohno.
!
!=======================================================================
 */

package ciss.phase_viewer.pub.jeditsyntax;

/**
 * IDL token marker.
 * 
 * @author Slava Pestov
 * @author Juha Lindfors
 * @version $Id: IDLTokenMarker.java,v 1.2 1999/12/18 06:10:56 sp Exp $
 */
public class IDLTokenMarker extends CTokenMarker {
    public IDLTokenMarker() {
        super(true, getKeywords());
    }

    public static KeywordMap getKeywords() {
        if (idlKeywords == null) {
            idlKeywords = new KeywordMap(false);

            idlKeywords.add("any", Token.KEYWORD3);
            idlKeywords.add("attribute", Token.KEYWORD1);
            idlKeywords.add("boolean", Token.KEYWORD3);
            idlKeywords.add("case", Token.KEYWORD1);
            idlKeywords.add("char", Token.KEYWORD3);
            idlKeywords.add("const", Token.KEYWORD1);
            idlKeywords.add("context", Token.KEYWORD1);
            idlKeywords.add("default", Token.KEYWORD1);
            idlKeywords.add("double", Token.KEYWORD3);
            idlKeywords.add("enum", Token.KEYWORD3);
            idlKeywords.add("exception", Token.KEYWORD1);
            idlKeywords.add("FALSE", Token.LITERAL2);
            idlKeywords.add("fixed", Token.KEYWORD1);
            idlKeywords.add("float", Token.KEYWORD3);
            idlKeywords.add("in", Token.KEYWORD1);
            idlKeywords.add("inout", Token.KEYWORD1);
            idlKeywords.add("interface", Token.KEYWORD1);
            idlKeywords.add("long", Token.KEYWORD3);
            idlKeywords.add("module", Token.KEYWORD1);
            idlKeywords.add("Object", Token.KEYWORD3);
            idlKeywords.add("octet", Token.KEYWORD3);
            idlKeywords.add("oneway", Token.KEYWORD1);
            idlKeywords.add("out", Token.KEYWORD1);
            idlKeywords.add("raises", Token.KEYWORD1);
            idlKeywords.add("readonly", Token.KEYWORD1);
            idlKeywords.add("sequence", Token.KEYWORD3);
            idlKeywords.add("short", Token.KEYWORD3);
            idlKeywords.add("string", Token.KEYWORD3);
            idlKeywords.add("struct", Token.KEYWORD3);
            idlKeywords.add("switch", Token.KEYWORD1);
            idlKeywords.add("TRUE", Token.LITERAL2);
            idlKeywords.add("typedef", Token.KEYWORD3);
            idlKeywords.add("unsigned", Token.KEYWORD3);
            idlKeywords.add("union", Token.KEYWORD3);
            idlKeywords.add("void", Token.KEYWORD3);
            idlKeywords.add("wchar", Token.KEYWORD3);
            idlKeywords.add("wstring", Token.KEYWORD3);
        }
        return idlKeywords;
    }

    // private members
    private static KeywordMap idlKeywords;
}
